Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbstractProcessor Class Reference

`#include <coherence/util/processor/AbstractProcessor.hpp>`

Inherits Describable, and InvocableMap::EntryProcessor.

Inherited by CompositeProcessor, ConditionalProcessor, ConditionalPut, ConditionalPutAll, ConditionalRemove, ExtractorProcessor, PreloadRequest, PropertyProcessor, UpdaterProcessor, VersionedPut, and VersionedPutAll.

List of all members.

## Detailed Description

An AbstractProcessor is a partial EntryProcessor implementation that provides the default implementation of the processAll method.

Author:
  tb 2008.04.28

## Public Types
typedef spec::Handle | Handle
| AbstractProcessor Handle definition.
typedef spec::View | View
| AbstractProcessor View definition.
typedef spec::Holder | Holder
| AbstractProcessor Holder definition.
## Public Member Functions
virtual Map::View | processAll (Set::View vSetEntries) const
| Process a Set of InvocableMap::Entry objects. This method is semantically equivalent to:
       Map::Handle hMapResults = HashMap::create();
       for (Iterator::Handle hIter = vSetEntries->iterator();
           iter->hasNext; )
           {
           InvocableMap::Entry::Handle hEntry =
                   cast<InvocableMap::Entry::Handle>(hIter->next());
           hMapResults->put(hEntry->getKey(), process(hEntry));
           }
       return hMapResults;
  Parameters:
  | vSetEntries | a Set of InvocableMap::Entry objects to process
Returns: a Map containing the results of the processing, up to one entry for each InvocableMap::Entry that was processed, keyed by the keys of the Map that were processed, with a corresponding value being the result of the processing for each key

The documentation for this class was generated from the following file:

- coherence/util/processor/AbstractProcessor.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.